Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng

# Enum Class CursorFlag

java.lang.Object
java.lang.Enum<CursorFlag>
org.firebirdsql.gds.ng.CursorFlag

All Implemented Interfaces:
  `Serializable`, `Comparable<CursorFlag>`, `Constable`

public enum CursorFlag extends Enum<CursorFlag>
Cursor flags.

Since:
  5
Author:
  Mark Rotteveel

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CURSOR_TYPE_SCROLLABLE`

## Method Summary

Modifier and Type
Method
Description
`int`
`flagValue()`
`static CursorFlag`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CursorFlag[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CURSOR_TYPE_SCROLLABLE

public static final CursorFlag CURSOR_TYPE_SCROLLABLE

## Method Details

### values

public static CursorFlag[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CursorFlag valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### flagValue

public int flagValue()